package com.ozs.da.entity.task;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author 许明
 * on 2019/3/5.
 * @version 2.0.0
 */
@ApiModel(description = "任务实体类")
public class Task implements Serializable {

    @ApiModelProperty(dataType = "String", name = "id", value = "任务id")
    private String id;
    @ApiModelProperty(dataType = "String", name = "taskName", value = "任务名称")
    private String taskName;
    @ApiModelProperty(dataType = "int", name = "periodType", value = "周期类型，0：自定义，1：月，2：日，3：时，4：分，5：秒")
    private int periodType;
    @ApiModelProperty(dataType = "String", name = "periodTypeDesc", value = "周期类型描述")
    private String periodTypeDesc;
    @ApiModelProperty(dataType = "int", name = "scheduleOffset", value = "调度偏移量，默认：-1")
    private int scheduleOffset;
    @ApiModelProperty(dataType = "String", name = "dataFormat", value = "数据日期类型")
    private String dataFormat;
    @ApiModelProperty(dataType = "String", name = "taskStatus", value = "任务状态，1：启用，2：停用，默认：2")
    private String taskStatus;
    @ApiModelProperty(dataType = "String", name = "runStatus", value = "任务运行状态，默认：0，0：未运行，1：等待运行，2：运行中，3：运行完成，4：运行失败")
    private String runStatus;
    @ApiModelProperty(dataType = "String", name = "taskStatusDesc", value = "任务状态描述")
    private String taskStatusDesc;
    @ApiModelProperty(dataType = "String", name = "taskCron", value = "任务定时cron")
    private String taskCron;
    @ApiModelProperty(dataType = "String", name = "ddlSql", value = "数据采集的DDL语句")
    private String ddlSql;
    @ApiModelProperty(dataType = "String", name = "sourceDatabaseId", value = "源库id")
    private String sourceDatabaseId;
    @ApiModelProperty(dataType = "String", name = "sourceTableId", value = "源表id")
    private String sourceTableId;
    @ApiModelProperty(dataType = "String", name = "sourceTableName", value = "源表名称")
    private String sourceTableName;
    @ApiModelProperty(dataType = "String", name = "targetDatabaseId", value = "目标库id")
    private String targetDatabaseId;
    @ApiModelProperty(dataType = "String", name = "targetTableId", value = "目标表id")
    private String targetTableId;
    @ApiModelProperty(dataType = "String", name = "targetTableName", value = "目标表名称")
    private String targetTableName;
    @ApiModelProperty(dataType = "String", name = "createTime", value = "创建时间")
    private String createTime;
    @ApiModelProperty(dataType = "String", name = "updateTime", value = "更新时间")
    private String updateTime;
    @ApiModelProperty(dataType = "String", name = "userId", value = "操作人id")
    private String userId;
    @ApiModelProperty(dataType = "String", name = "userName", value = "操作人名称")
    private String userName;
    @ApiModelProperty(dataType = "String", name = "nextRunDate", value = "下次运行时间")
    private String nextRunDate;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public int getPeriodType() {
        return periodType;
    }

    public void setPeriodType(int periodType) {
        this.periodType = periodType;
    }

    public String getPeriodTypeDesc() {
        return periodTypeDesc;
    }

    public void setPeriodTypeDesc(String periodTypeDesc) {
        this.periodTypeDesc = periodTypeDesc;
    }

    public int getScheduleOffset() {
        return scheduleOffset;
    }

    public void setScheduleOffset(int scheduleOffset) {
        this.scheduleOffset = scheduleOffset;
    }

    public String getDataFormat() {
        return dataFormat;
    }

    public void setDataFormat(String dataFormat) {
        this.dataFormat = dataFormat;
    }

    public String getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(String taskStatus) {
        this.taskStatus = taskStatus;
    }

    public String getRunStatus() {
        return runStatus;
    }

    public void setRunStatus(String runStatus) {
        this.runStatus = runStatus;
    }

    public String getTaskStatusDesc() {
        return taskStatusDesc;
    }

    public void setTaskStatusDesc(String taskStatusDesc) {
        this.taskStatusDesc = taskStatusDesc;
    }

    public String getTaskCron() {
        return taskCron;
    }

    public void setTaskCron(String taskCron) {
        this.taskCron = taskCron;
    }

    public String getDdlSql() {
        return ddlSql;
    }

    public void setDdlSql(String ddlSql) {
        this.ddlSql = ddlSql;
    }

    public String getSourceDatabaseId() {
        return sourceDatabaseId;
    }

    public void setSourceDatabaseId(String sourceDatabaseId) {
        this.sourceDatabaseId = sourceDatabaseId;
    }

    public String getSourceTableId() {
        return sourceTableId;
    }

    public void setSourceTableId(String sourceTableId) {
        this.sourceTableId = sourceTableId;
    }

    public String getSourceTableName() {
        return sourceTableName;
    }

    public void setSourceTableName(String sourceTableName) {
        this.sourceTableName = sourceTableName;
    }

    public String getTargetDatabaseId() {
        return targetDatabaseId;
    }

    public void setTargetDatabaseId(String targetDatabaseId) {
        this.targetDatabaseId = targetDatabaseId;
    }

    public String getTargetTableId() {
        return targetTableId;
    }

    public void setTargetTableId(String targetTableId) {
        this.targetTableId = targetTableId;
    }

    public String getTargetTableName() {
        return targetTableName;
    }

    public void setTargetTableName(String targetTableName) {
        this.targetTableName = targetTableName;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getNextRunDate() {
        return nextRunDate;
    }

    public void setNextRunDate(String nextRunDate) {
        this.nextRunDate = nextRunDate;
    }
}
